Subject: Re: [PATCH 3/4] Makefile: keep MSVC and Cygwin configuration separate

From: Ramsay Jones <[email-masked]>
Date: Wed, 04 Nov 2009 19:29:09 +0000

Johannes Sixt wrote:
> 
> I like the direction of this change, but I think that you must use ':='

Yeah, I've always been a bit sloppy with recursive assignment versus simple
assignment when the value does not contain a variable reference ;-)
So yes, you are right...

> assignment, and I would put this right after the uname_* assignments at
> the beginning of the Makefile:
> 
>  uname_V := $(shell sh -c 'uname -v 2>/dev/null || echo not')
> +ifdef MSVC
> +	uname_S := Windows
> +	uname_O := Windows	# avoid cygwin configuration
> +endif

OK with me. (but you are avoiding the MinGW configuration as well...)

ATB,
Ramsay Jones